Subject: Re: bug#39865: 28.0.50; Emacs crash

From: Eli Zaretskii <[email-masked]>
Date: Fri, 06 Mar 2020 19:53:32 +0200

> From: Vinicius José Latorre <[email-masked]>
> Date: Fri, 6 Mar 2020 14:20:42 -0300
> Cc: [email-masked]
> 
> > OK, then the crash is a known problem: you cannot change the font
> > backend once the session started, you can only do that in X resources.
> > Previously, XFT was your original backend, but now it's HarfBuzz.
> 
> I think that emacs should be more robust about this and do not crash for any bad value.

I agree.  It is not a bad value, we just couldn't yet find a way of
switching the font-backend.

> > Why are you doing this?  What happens/doesn't work if you remove this
> > line?
> 
> Well, I use emacs since 1992, I don't remember why I set this.
> 
> Removing this line all works like a charming.

Great, thanks.